<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'formulario-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'tipo_licencia_id'); ?>
		<?php echo $form->dropDownList($model, 'tipo_licencia_id', GxHtml::listDataEx(TipoLicencias::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'tipo_licencia_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_dia_desde'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'formulario_dia_desde',
			'value' => $model->formulario_dia_desde,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'formulario_dia_desde'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_dia_hasta'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'formulario_dia_hasta',
			'value' => $model->formulario_dia_hasta,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'formulario_dia_hasta'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_explicacion'); ?>
		<?php echo $form->textArea($model, 'formulario_explicacion', array('class' => 'input-block-level','rows'=>'3')); ?>
		<?php echo $form->error($model,'formulario_explicacion'); ?>
		</div><!-- row -->
		<div class="row">
		<?php //echo $form->labelEx($model,'usuario_id'); ?>
		<?php //echo $form->dropDownList($model, 'usuario_id', GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true))); ?>
		<?php //echo $form->error($model,'usuario_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php //echo $form->labelEx($model,'formulario_fecha_hora_registro'); ?>
		<?php //echo $form->textField($model, 'formulario_fecha_hora_registro'); ?>
		<?php //echo $form->error($model,'formulario_fecha_hora_registro'); ?>
		</div><!-- row -->
		<div class="row">
		<?php //echo $form->labelEx($model,'formulario_afectacion'); ?>
		<?php //echo $form->textField($model, 'formulario_afectacion', array('maxlength' => 100)); ?>
		<?php //echo $form->error($model,'formulario_afectacion'); ?>
		</div><!-- row -->



		<div class="row">
		<?php echo CHtml::label('Necesita que un compañero lo reemplace en su puesto?', 'necesita_reemplazo'); ?>
		<?php //echo CHtml::dropDownList('necesita_reemplazo', 'F', array('0' => 'No', '1' => 'Si')); 
		?>

		<?php echo CHtml::dropDownList('necesita_reemplazo', $model->necesita_reemplazo, array('0' => 'No', '1' => 'Si'), 
					array('ajax' => array(
							'dataType' => 'text',
							'data'=> array('necesita_reemplazo'=>'js:$(this).val()',
											'Promt'			  =>'',),
							'url'	  => Yii::app()->createUrl('formulario/EncargadosArea'),
							'type'	  => 'get',
							'success' => 'function(result) {
								$("#usuario_id_destino").html(result);
							}'
						),
					)); 
				?>
		</div><!-- row -->
		
		<div class="row">	
		<?php echo CHtml::label('Indica quién recibirá tu trámite', 'usuario_id_destino'); ?>
		<?php echo CHtml::dropDownList('usuario_id_destino', $model->usuario_id_destino, $jefesArea) ?>
		</div><!-- row -->


 




<!-- 		<label><?php echo GxHtml::encode($model->getRelationLabel('documentoForms')); ?></label>
		<?php echo $form->checkBoxList($model, 'documentoForms', GxHtml::encodeEx(GxHtml::listDataEx(DocumentoForm::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('formularioAdjuntos')); ?></label>
		<?php echo $form->checkBoxList($model, 'formularioAdjuntos', GxHtml::encodeEx(GxHtml::listDataEx(FormularioAdjunto::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('historialEstadosFormularios')); ?></label>
		<?php echo $form->checkBoxList($model, 'historialEstadosFormularios', GxHtml::encodeEx(GxHtml::listDataEx(HistorialEstadosFormulario::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('licenciases')); ?></label>
		<?php echo $form->checkBoxList($model, 'licenciases', GxHtml::encodeEx(GxHtml::listDataEx(Licencias::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('perNotiForms')); ?></label>
		<?php echo $form->checkBoxList($model, 'perNotiForms', GxHtml::encodeEx(GxHtml::listDataEx(PerNotiForm::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('perPrintFors')); ?></label>
		<?php echo $form->checkBoxList($model, 'perPrintFors', GxHtml::encodeEx(GxHtml::listDataEx(PerPrintFor::model()->findAllAttributes(null, true)), false, true)); ?>
 -->
<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->