<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('usuario-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
You may optionally enter a comparison operator (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'usuario-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		'usuario_id',
		'usuario_nombre',
		'usuario_apellido',
		'usuario_dni',
		'usuario_cuil',
		'usuario_legajo',
		/*
		'usuario_provincia',
		'usuario_depto',
		'usuario_calle',
		'usuario_casa_numero',
		'usuario_fecha_nacimiento',
		'usuario_email',
		'usuario_biografia',
		'usuario_telefono',
		'usuario_profesion',
		'usuario_clave',
		'usuario_foto_perfil',
		'usuario_facebook',
		'usuario_instagram',
		'cargo_id',
		'tipo_usuario_id',
		'estado_id',
		'entidad_id',
		array(
				'name'=>'area_id',
				'value'=>'GxHtml::valueEx($data->rel_area)',
				'filter'=>GxHtml::listDataEx(Area::model()->findAllAttributes(null, true)),
				),
		'categoria_id',
		'editado_el',
		*/
		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>