<?php
/* @var $this SiteController */
/* @var $model LoginForm */
/* @var $form CActiveForm  */

$this->pageTitle=Yii::app()->name . ' - Login';
/*$this->breadcrumbs=array(
	'Login',
);*/
?>
<div class="page-header">
	<h1><?php echo Yii::t('app', 'Login') ?> <small><?php echo Yii::t('app', 'to your account') ?></small></h1>
</div>
<div class="row-fluid">
	
    <div class="span6 offset0">
<?php
	$this->beginWidget('zii.widgets.CPortlet', array(
		'title'=>Yii::t('app', 'Private access'),
	));
	
?>



    <p><?php echo Yii::t('app', 'Please fill out the following form with your login credentials:') ?></p>
    
    <div class="form">
    <?php $form=$this->beginWidget('CActiveForm', array(
        'id'=>'login-form',
        'enableClientValidation'=>true,
        'clientOptions'=>array(
            'validateOnSubmit'=>true,
        ),
    )); ?>
    
        <p class="note"><?php echo Yii::t('app', 'Fields with') ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required.') ?></p>
    
        <div class="row">
            <?php echo $form->labelEx($model,'N° de Documento (sin puntos) *');?>
            <!-- <p style="color:navy; font-weight:bold"><?php echo "N° de Documento (sin puntos)";?></p> -->
            <?php echo $form->textField($model,'username');?>
            <?php echo $form->error($model,'username'); ?>
        </div>
    
        <div class="row">
            <?php echo $form->labelEx($model,'Contrase&ntilde;a *'); ?>
            <!-- <p style="color:navy; font-weight:bold"><?php echo "(Contraseña)";?></p> -->
            <?php echo $form->passwordField($model,'password'); ?>
            <?php echo $form->error($model,'password'); ?>
        </div>
    
        <div class="row PasswordWarning">
        		<p id="warningtext" 
            	 Style="display:none;background-color:yellow;padding:10px;font-weight:bold;}">
							 ADVERTENCIA! La tecla "Bloq Mayús" (bloqueo de mayúsculas) está activada.
            </p>
        </div>
    
	<?php if(CCaptcha::checkRequirements()): ?>
	<div class="row">
		<?php echo $form->labelEx($model,'C&oacute;digo de verificaci&oacute;n *'); ?>
		<div>
		<?php $this->widget('CCaptcha'); ?>
		<?php echo $form->textField($model,'verifyCode'); ?>
		</div>
		<div class="hint">Ingrese las letras como se muestran en la imagen de arriba.
		<br/>Las letras no distinguen entre mayúsculas y minúsculas.</div>
		<?php echo $form->error($model,'verifyCode'); ?>
	</div>
	<?php endif; ?>

        <div class="row rememberMe">
            <?php //echo $form->checkBox($model,'rememberMe'); ?>
            <?php //echo $form->label($model,'rememberMe'); ?>
            <?php //echo $form->error($model,'rememberMe'); ?>
        </div>
    
        <div class="row buttons">
            <?php echo CHtml::submitButton(Yii::t('app', 'Login'),array('class'=>'btn btn btn-primary')); ?>
        </div>
    
    <?php $this->endWidget(); ?>
    </div><!-- form -->

<?php $this->endWidget();?>

    </div>
</div>
<!-- 
<div class="row-fluid">
<div class="span6 offset0">
  <?php
	$this->beginWidget('zii.widgets.CPortlet', array(
		'title'=>Yii::t('app', 'Ayuda'),
	));
	
?>
<p>Iniciar sesión con Usuario y Contraseña. Al iniciar sesión por primera vez, se le pedirá que cambie su contraseña.</p>
<p>Acceder a los Recibos con la opción Usuario > Buscar Recibos.</p>
 <?php $this->endWidget();?>
<img src="images/recibosueldo.jpg" width="844" height="296" alt="Recibo sueldo" />

</div>
</div>

 -->
<?php
Yii::app()->clientScript->registerScript('PasswordWarning', "
	var input = document.getElementById('LoginForm_password');
	var text = document.getElementById('warningtext');
	input.addEventListener('keyup', function(event) {
	
	if (event.getModifierState('CapsLock')) {
			text.style.display = 'block';
		} else {
			text.style.display = 'none';
		}
	});
");
?>  
